Package helma.image

# Class ImageFilterOp

java.lang.Object
helma.image.ImageFilterOp

All Implemented Interfaces:
  `BufferedImageOp`

public class ImageFilterOp extends Object implements BufferedImageOp

## Constructor Summary

Constructors
Constructor
Description
`ImageFilterOp(ImageFilter filter)`
Construct a ImageFilterOp

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`createCompatibleDestImage(BufferedImage src, ColorModel destCM)`
`BufferedImage`
`filter(BufferedImage src, BufferedImage dst)`
Do the filter operation
`Rectangle2D`
`getBounds2D(BufferedImage src)`
`Point2D`
`getPoint2D(Point2D srcPt, Point2D dstPt)`
`RenderingHints`
`getRenderingHints()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageFilterOp

public ImageFilterOp(ImageFilter filter)
Construct a ImageFilterOp

## Method Details

### filter

public BufferedImage filter(BufferedImage src, BufferedImage dst)
Do the filter operation

Specified by:
  `filter` in interface `BufferedImageOp`
Parameters:
  `src` - The source BufferedImage. Can be any type.
  `dst` - The destination image. If not null, must be of type TYPE_INT_RGB, TYPE_INT_ARGB or TYPE_INT_ARGB_PRE
Returns:
  the filtered image

### createCompatibleDestImage

public BufferedImage createCompatibleDestImage(BufferedImage src, ColorModel destCM)

Specified by:
  `createCompatibleDestImage` in interface `BufferedImageOp`

### getRenderingHints

public RenderingHints getRenderingHints()

Specified by:
  `getRenderingHints` in interface `BufferedImageOp`

### getPoint2D

public Point2D getPoint2D(Point2D srcPt, Point2D dstPt)

Specified by:
  `getPoint2D` in interface `BufferedImageOp`

### getBounds2D

public Rectangle2D getBounds2D(BufferedImage src)

Specified by:
  `getBounds2D` in interface `BufferedImageOp`